package lk.sliit.research.interviewapp.Service.impl;

import lk.sliit.research.interviewapp.Repository.CandidateRepository;
import lk.sliit.research.interviewapp.Service.CandidateService;
import lk.sliit.research.interviewapp.model.domain.Candidate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CandidateServiceImpl implements CandidateService {

    @Autowired
    CandidateRepository candidateRepository;

    @Override
    public boolean createCandidate(Candidate candidate) {
        candidateRepository.save(candidate);
        return true;
    }

    @Override
    public boolean updateCandidate(Candidate candidate) {
        candidateRepository.save(candidate);
        return true;
    }

    @Override
    public List<Candidate> viewAllCandidatesByJobId(int jobId) {
        return candidateRepository.viewAllCandidatesByJobId(jobId);
    }

    @Override
    public Candidate getCandidateById(int candidateId) {
        return candidateRepository.findById(candidateId).get();
    }
}
